php_sqlite.dll recent pour SQLite 3 et plus

Le
NOSPAM_p_genieys
Bonjour,


j'utilise l'exstension php_sqlite.dll pour accéder à des bases de données
de type sqlite.

La version la plus récente de SQLite est la 3.0.7
(avec de meilleures performances et une optimisation de la taille des
bases de données) mais
l'exstension php_sqlite.dll ne permet d'accéder qu'à la version 2.8 de
SQLite .

Même avec php5, on ne peut accéder qu'à la version 2.8 de SQLite.

Connaissez vous une version récente de l'exstension php_sqlite.dll
permettant l'accès à SQLite 3 et plus ?


Pierre.

--
posté via http://www.usenetgratuit.com/ plus de 40 000 newsgroups sur le
web. Pour signaler un abus: abuse@usenetgratuit.com
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Ganf
Le #670101
Le Fri, 24 Sep 2004 21:02:07 +0000, Pierre Genieys a écrit :
Connaissez vous une version récente de l'exstension php_sqlite.dll
permettant l'accès à SQLite 3 et plus ?


Oui mais attention : code en version de développement, mêm epas en béta.
Il te faut installer PDO (une interface unique vers les bases de données
prévue pour PHP 5.1, au mieux), il y a un driver pour sqlite qui devrait
supporter sqlite3 (enfin c'est ce qui a été très brèvement dit un
moment, je n'ai pas vérifié).
PDO et PDO_sqlite sont disponnible sur PECL. Le premier doit avoir une
version stable, mais pour le second il te faudra piocher dans le CVS (avec
un peu de chances tu trouveras ça dans snaps.php.net une dll déjà
compilée).

--
Eric Daspet
"PHP 5 avancé" aux éditions Eyrolles
http://www.eyrolles.com/Informatique/Livre/9782212113235/livre-php-5

Publicité
Poster une réponse
Anonyme